Home | All Classes | Grouped Classes | Index | Search

# Class CL_OutlineCircle

Collision detection outline segmentation circle. More...

Derived from: none
Derived by: none
Group: Display (Collision)

#include <ClanLib/display.h>

Construction:

CL_OutlineCircle | Construct a outline circle

Operations:

collide | Construct a outline circle

Attributes:

position |
radius |
start |
end |

Detailed description:

!group=Display/Collision ! !header=display.h!

Outline circles split the line segments into groups for faster collision detection. If two circles encapsulating the lines don't collide, none of the lines inside them can collide either.

Questions or comments, write to the ClanLib mailing list.